Bug 152117 - RFE: gnome-network-preferences: should setup proxy system wide
RFE: gnome-network-preferences: should setup proxy system wide
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-24 18:30 EST by Ricky Ng-Adam
Modified: 2009-01-09 01:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:52:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricky Ng-Adam 2005-03-24 18:30:03 EST
Description of problem:

In Desktop > Preferences, I have something called "Network Proxy" (that is
actually gnome-network-preferences).  

If I configure my proxy here, as a newbie I'd expect it to be configured
system-wide for all the applications that requires it - especially yum and
firefox.  There is currently not even an indication/feedback of the limited
scope of this proxy configuration... And not only should the Network Proxy be
able to configure http proxy, but it should also be able to configure SOCKS proxy.

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. Default workstation install
2. Launch Network Proxy
3. Configure proxy correctly
  
Actual results:

Notice that it doesn't seem to modify the most important apps.

Expected results:

All the apps made aware and properly configured for the proxies.

Additional info:

In most corporate environments, proxies are a fact of life...
Comment 1 Matthias Clasen 2006-11-26 23:01:56 EST
Ray, didn't we fix this in FC6 by exporting HTTP_PROXY in gnome-session ?
Comment 2 Ray Strode [halfline] 2006-11-26 23:31:45 EST
Sort of, it doesn't address socks proxies, or automatic proxy configuration, and
as I just found out a few minutes ago, the patch is broken for proxies that
require authentication:

http://bugzilla.gnome.org/show_bug.cgi?id=84315#c10

Also, as pointed out in the same comment, it has security ramifications, so I'm
going to turn off the http_proxy setting in the case that the proxy requires
authentication.
Comment 3 Christian Iseli 2007-01-22 06:10:45 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Matthew Miller 2007-04-06 11:20:33 EDT
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.
Comment 5 Ricky Ng-Adam 2007-04-28 14:18:42 EDT
This is definitely not solved IMO (even in fc7 test 4).  

For example, if I input a proxy in Network Proxy, the change is not reflected in
Firefox. 

The requirement would be to have the obvious place to configure the proxy
system-wide actually apply changes system wide. 
Comment 6 Ricky Ng-Adam 2007-12-28 12:48:34 EST
Fedora 8:

1) Fedora Developer Spin i686 with latest updates
2) System > Preferences > Internet and Network > Network Proxy
3) configure a proxy from: http://www.publicproxyservers.com
4) Go to a page using Firefox
5) lsof -i tcp shows that we are still connecting directly to the site

There is no gnome-network-preferences component?
Comment 7 Bug Zapper 2008-11-26 01:49:14 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 01:52:08 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.